{block name='snippets-wishlist'}
    {$lazyLoadImages=$lazyLoadImages|default:true}
    {et_getGlobalSettings assign="etGlobalSettings"}
    {et_isShopVersionAtLeast value="5.2.0-beta" assign='shopIsAtLeast52'}
    {get_static_route id='wunschliste.php' assign='wishlistURL'}
    {block name='snippets-wishlist-header'}
        {include file='layout/header.tpl'}
    {/block}

    {block name='snippets-wishlist-content'}
        {block name='snippets-wishlist-include-extension'}
            {include file='snippets/extension.tpl'}
        {/block}

        {if $shopIsAtLeast52}
            {$wishlistName = $CWunschliste->getName()}
            {$wishlistID = $CWunschliste->getID()}
            {$wishlistCustomer = $CWunschliste->getCustomer()}
            {$wishlistIsDefault = $CWunschliste->isDefault()}
            {$wishlistIsPublic = $CWunschliste->isPublic()}
            {$wishlistItems = $CWunschliste->getItems()}
            {$wishlistURLID = $CWunschliste->getURL()}{* [sic] *}
        {else}
            {$wishlistName = $CWunschliste->cName}
            {$wishlistID = $CWunschliste->kWunschliste}
            {$wishlistCustomer = $CWunschliste->oKunde}
            {$wishlistIsDefault = ($CWunschliste->nStandard == 1)}
            {$wishlistIsPublic = ($CWunschliste->nOeffentlich == 1)}
            {$wishlistItems = $CWunschliste->CWunschlistePos_arr}
            {$wishlistURLID = $CWunschliste->cURLID}
        {/if}

        <div class="container{if isset($Link) && $Link->getIsFluid()}-fluid{/if} snippets-wishlist">
        {if $step === 'wunschliste versenden' && $Einstellungen.global.global_wunschliste_freunde_aktiv === 'Y'}
            {block name='snippets-wishlist-content-heading-email'}
                <div class="h2">{lang key='wishlistViaEmail' section='login'}</div>
            {/block}
            {block name='snippets-wishlist-content-form-outer'}
                <div class="row">
                    <div class="col col-12">
                    {block name='snippets-wishlist-form-subheading'}
                        <div class="subheadline">{$wishlistName}</div>
                    {/block}
                    {block name='snippets-wishlist-form'}
                        <form method="post" action="{$wishlistURL}" name="Wunschliste">
                        {csrf_token}
                        {block name='snippets-wishlist-form-inner'}
                            {block name='snippets-wishlist-form-inputs-hidden'}
                                <input type="hidden" name="wlvm" value="1" />
                                <input type="hidden" name="kWunschliste" value="{$wishlistID}" />
                                <input type="hidden" name="send" value="1" />
                            {/block}
                            {block name='snippets-wishlist-form-textarea'}
                                {formgroup
                                    label-for="wishlist-email"
                                    label="{lang key='wishlistEmails' section='login'}{if $Einstellungen.global.global_wunschliste_max_email > 0} | {lang key='wishlistEmailCount' section='login'}: {$Einstellungen.global.global_wunschliste_max_email}{/if}"}
                                    <textarea id="wishlist-email" class="form-control" name="email" rows="5" style="width:100%"></textarea>
                                {/formgroup}
                            {/block}
                            {block name='snippets-wishlist-form-submit'}
                                <div class="row">
                                    <div class="col col-md-4 col-xl-3 ml-auto-util">
                                        {include file="widgets/base/button.tpl" variant="primary" classes="btn-block" type="submit" name="action" value="sendViaMail" label="{lang key='wishlistSend' section='login'}"}
                                    </div>
                                </div>
                            {/block}
                        {/block}
                        </form>
                    {/block}
                    </div>
                </div>
            {/block}
        {else}
            {block name='snippets-wishlist-content-heading'}
                <div class="h2">
                    {if $isCurrenctCustomer === false && $wishlistCustomer !== null && isset($wishlistCustomer->cVorname)}
                        {$wishlistName} {lang key='from' section='product rating' alt_section='login,productDetails,productOverview,global,'} {$wishlistCustomer->cVorname}
                    {else}
                        {lang key='myWishlists'}
                    {/if}
                </div>
            {/block}
            {if $isCurrenctCustomer === true}
                <div class="row wishlist-selection">
                    {block name='et-wishlist-current-label'}
                        <div class="col col-sm-auto">
                            <div class="et-wishlist-current-label">
                                {lang key="wishlist" section="global"}:
                            </div>
                        </div>
                    {/block}
                    {block name='snippets-wishlist-wishlists'}
                        <div class="col col-sm-auto">
                            <div id='wlName' class="dropdown wishlist-dropdown-name">
                                <button class="btn btn-secondary dropdown-toggle w-100-util" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    {$wishlistName}
                                </button>
                                <div class="dropdown-menu">
                                    {foreach $oWunschliste_arr as $wishlist}
                                        {if $shopIsAtLeast52}
                                            <a class="dropdown-item" href="{$wishlistURL}{if !$wishlist->isDefault()}?wl={$wishlist->getID()}{/if}" rel="nofollow">
                                                {$wishlist->getName()}
                                            </a>
                                        {else}
                                            <a class="dropdown-item" href="{$wishlistURL}{if $wishlist->nStandard != 1}?wl={$wishlist->kWunschliste}{/if}" rel="nofollow">
                                                {$wishlist->cName}
                                            </a>
                                        {/if}
                                    {/foreach}
                                </div>
                            </div>
                        </div>
                    {/block}
                    {block name='snippets-wishlist-actions-add-new'}
                        <div class="col col-sm-auto ml-auto">
                            {include file="widgets/base/button.tpl" type="submit" variant="success" classes="et-dropdown-toggle" dataToggle="collapse" dataTarget="#create-new-wishlist" title="{lang key='wishlistAddNew' section='login'}" label="{lang key='wishlistAddNew' section='login'}" icon="{et_getIcon key="add"}" iconPosition="left"}
                        </div>
                    {/block}
                    {block name='snippets-wishlist-form-new'}
                        <div class="col col-12 et-wishlist-collapse-col">
                            <div id="create-new-wishlist" class="collapse {if $newWL === 1}show{/if} wishlist-collapse">
                                <form method="post" action="{$wishlistURL}" class="label-slide">
                                    {csrf_token}
                                    {block name='snippets-wishlist-form-content-new'}
                                        {block name='snippets-wishlist-form-content-new-inputs-hidden'}
                                            <input type="hidden" name="kWunschliste" value="{$wishlistID}" />
                                        {/block}
                                        {block name='snippets-wishlist-form-content-new-submit'}
                                            <div class="input-group">
                                                <input name="cWunschlisteName" type="text"
                                                       class="form-control input-sm"
                                                       placeholder="{lang key='wishlistAddNew' section='login'}"
                                                       size="35"
                                                />
                                                <div class="input-group-append">
                                                    {include file="widgets/base/button.tpl" type="submit" variant="primary" classes="btn-sm" name="action" value="createNew" icon="{et_getIcon key="save"}" iconPosition="left" label="{lang key='wishlistSaveNew' section='login'}"}
                                                </div>
                                            </div>
                                        {/block}
                                    {/block}
                                </form>
                            </div>
                        </div>
                    {/block}
                </div>
                <div class="row wishlist-actions">
                    {block name='snippets-wishlist-actions'}
                        {if !$wishlistIsDefault}
                            {block name='snippets-wishlist-actions-set-active'}
                                <div class="col col-12 col-sm-auto">
                                    <form method="post" action="{$wishlistURL}" class="label-slide">
                                        {csrf_token}
                                        <input type="hidden" name="kWunschliste" value="{$wishlistID}" />
                                        <input type="hidden" name="kWunschlisteTarget" value="{$wishlistID}" />
                                        <input type="hidden" name="action" value="setAsDefault" />
                                        {include file="widgets/base/button.tpl" type="submit" variant="secondary" classes="btn-sm" title="{lang key='setAsStandardWishlist' section='wishlist'}" dataToggle="tooltip" dataPlacement="bottom" label="{lang key='activate'}"}
                                    </form>
                                </div>
                            {/block}
                        {/if}
                        {block name='snippets-wishlist-actions-rename'}
                            <div class="col col-12 col-sm-auto">
                                <button type="submit" class="btn btn-link et-dropdown-toggle btn-sm" data-toggle="collapse" data-target="#edit-wishlist-name" title="{lang key="wishlistRename" section="login"}">
                                    <i class="{et_getIcon key="edit"}"></i>&nbsp;{lang key='rename'}
                                </button>
                            </div>
                        {/block}
                        {block name='snippets-wishlist-actions-remove-products'}
                            <div class="col col-12 col-sm-auto">
                                <form
                                        method="post"
                                        action="{$wishlistURL}{if !$wishlistIsDefault}?wl={$wishlistID}{/if}"
                                        name="Wunschliste"
                                >
                                    {csrf_token}
                                    <input type="hidden" name="wla" value="1" />
                                    <input type="hidden" name="kWunschliste" value="{$wishlistID}" />
                                    <input type="hidden" name="action" value="removeAll" />
                                    <button type="submit" class="btn btn-link text-warning btn-sm" title="{lang key='wlRemoveAllProducts' section='wishlist'}">
                                        <i class="{et_getIcon key="remove"}"></i>&nbsp;{lang key='wlRemoveAllProducts' section='wishlist'}
                                    </button>
                                </form>
                            </div>
                        {/block}
                        {block name='snippets-wishlist-actions-delete-wl'}
                            <div class="col col-12 col-sm-auto">
                                <form method="post" action="{$wishlistURL}" class="label-slide">
                                    {csrf_token}
                                    <input type="hidden" name="kWunschliste" value="{$wishlistID}" />
                                    <input type="hidden" name="kWunschlisteTarget" value="{$wishlistID}" />
                                    <input type="hidden" name="action" value="delete" />
                                    <button type="submit" class="btn btn-link text-danger btn-sm" title="{lang key='wlDelete' section='wishlist'}">
                                        <i class="{et_getIcon key="delete"}"></i>&nbsp;{lang key='wishlisteDelete' section='login'}
                                    </button>
                                </form>
                            </div>
                        {/block}
                        {block name='snippets-wishlist-form-rename'}
                            <div class="col col-12 et-wishlist-collapse-col">
                                {block name='snippets-wishlist-form-rename-hr-top'}{/block}
                                <div id="edit-wishlist-name" class="collapse wishlist-collapse">
                                    <form
                                            method="post"
                                            action="{$wishlistURL}{if !$wishlistIsDefault}?wl={$wishlistID}{/if}"
                                            name="Wunschliste"
                                    >
                                        {csrf_token}
                                        {block name='snippets-wishlist-form-content-rename'}
                                            {block name='snippets-wishlist-form-content-rename-inputs-hidden'}
                                                <input type="hidden" name="wla" value="1" />
                                                <input type="hidden" name="kWunschliste" value="{$wishlistID}" />
                                                <input type="hidden" name="action" value="update" />
                                            {/block}
                                            {block name='snippets-wishlist-form-content-rename-submit'}
                                                <div class="input-group">
                                                    <div class="input-group-prepend">
                                                        <div class="input-group-text">
                                                            {lang key='name' section='global'}
                                                        </div>
                                                    </div>

                                                    <input id="wishlist-name" class="form-control" type="text" placeholder="name" name="WunschlisteName" value="{$wishlistName}" />

                                                    <div class="input-group-append">
                                                        {include file="widgets/base/button.tpl" type="submit" value="{lang key='rename'}" variant="primary" label="{lang key='rename'}"}
                                                    </div>
                                                </div>
                                            {/block}
                                        {/block}
                                    </form>
                                </div>
                            </div>
                        {/block}
                    {/block}
                </div>
                {block name='snippets-wishlist-visibility'}
                    {block name='snippets-wishlist-visibility-hr-top'}
                        <hr>
                    {/block}
                    <div class='row wishlist-privacy-count'>
                    {block name='snippets-wishlist-visibility-form'}
                        <div class='col col-xl wishlist-privacy'>
                            <div class="d-inline-flex flex-nowrap">
                                <div class="custom-control custom-switch">
                                    <input type='checkbox'
                                           class='custom-control-input wl-visibility-switch'
                                           id="wl-visibility-{$wishlistID}"
                                           data-wl-id="{$wishlistID}"
                                           {if $wishlistIsPublic}checked{/if}
                                           aria-label="{if $wishlistIsPublic}{lang key='wishlistNoticePublic' section='login'}{else}{lang key='wishlistNoticePrivate' section='login'}{/if}"
                                    >
                                    <label class="custom-control-label" for="wl-visibility-{$wishlistID}">
                                        <span data-switch-label-state="public-{$wishlistID}" class="{if !$wishlistIsPublic}d-none{/if}">
                                            {lang key='wishlistNoticePublic' section='login'}
                                        </span>
                                        <span data-switch-label-state="private-{$wishlistID}" class="{if $wishlistIsPublic}d-none{/if}">
                                            {lang key='wishlistNoticePrivate' section='login'}
                                        </span>
                                    </label>
                                </div>
                            </div>
                        </div>
                    {/block}
                    {block name='snippets-wishlist-visibility-count'}
                        <div class='col col-auto wishlist-count'>
                            {count($wishlistItems)} {lang key='products'}
                        </div>
                    {/block}
                    </div>
                {/block}
                {block name='snippets-wishlist-link'}
                    <div class="row wishlist-url {if !$wishlistIsPublic}d-none{/if}" id='wishlist-url-wrapper'>
                        <div class="col col-12">
                            <form method="post" action="{$wishlistURL}">
                                {csrf_token}
                                {block name='snippets-wishlist-link-inputs-hidden'}
                                    <input type="hidden" name="kWunschliste" value="{$wishlistID}" />
                                {/block}
                                {block name='snippets-wishlist-link-inputs'}
                                    <div class="input-group">
                                    {block name='snippets-wishlist-link-name'}
                                        <input type="text"
                                            id="wishlist-url"
                                            class="form-control"
                                            name="wishlist-url"
                                            readonly
                                            aria-label="{lang key='wishlist'}-URL"
                                            data-static-route="{$wishlistURL}?wlid="
                                            value="{$wishlistURL}?wlid={$wishlistURLID}"
                                        />
                                    {/block}
                                    {if $Einstellungen.global.global_wunschliste_freunde_aktiv === 'Y'}
                                        {block name='snippets-wishlist-link-envelop'}
                                            <div class="input-group-append">
                                                <button type="submit"
                                                    name="action"
                                                    class="btn btn-link btn-secondary"
                                                    value="sendViaMail"
                                                    {if !$hasItems}disabled{/if}
                                                    title="{lang key='wishlistViaEmail' section='login'}"
                                                    aria-label="{lang key='wishlistViaEmail' section='login'}"
                                                >
                                                    <i class="{et_getIcon key="wishlistSend"}"></i>
                                                </button>
                                            </div>
                                        {/block}
                                    {/if}
                                    </div>
                                {/block}
                            </form>
                        </div>
                    </div>
                {/block}
                {block name='snippets-wishlist-visibility-hr-bottom'}
                    <hr>
                {/block}
            {/if}

            {block name='snippets-wishlist-search'}
                <div class="row">
                    <div class="col col-12 col-md wishlist-search-wrapper">
                        {if $hasItems === true || !empty($wlsearch)}
                            <div id="wishlist-search">
                                <form method="post"
                                      action="{$wishlistURL}"
                                      name="WunschlisteSuche"
                                >
                                    {csrf_token}
                                    {block name='snippets-wishlist-search-form-inputs-hidden'}
                                        {if $wishlistIsPublic && !empty($cURLID)}
                                            <input type="hidden" name="wlid" value="{$cURLID}" />
                                        {/if}
                                        <input type="hidden" name="kWunschliste" value="{$wishlistID}" />
                                        <input type="hidden" name="action" value="search" />
                                    {/block}
                                    {block name='snippets-wishlist-search-form-inputs'}
                                        <div class="input-group">
                                            <input class="form-control" name="cSuche" size="35" type="text" value="{$wlsearch}" placeholder="{lang key='wishlistSearch' section='login'}" aria-label="{lang key='wishlistSearch' section='login'}">
                                            <div class="input-group-append">
                                                {block name='snippets-wishlist-search-form-submit'}
                                                    {include file="widgets/base/button.tpl" name="action" value="search" type="submit" ariaLabel="{lang key='wishlistSearchBTN' section='login'}" variant="primary" classes="wishlist-search-button" iconPosition="left" icon="{et_getIcon key="search"}" label="<span class=\"wishlist-search-button-text\">{lang key='wishlistSearchBTN' section='login'}</span>"}
                                                {/block}
                                            </div>
                                            {if !empty($wlsearch)}
                                                {block name='snippets-wishlist-search-form-remove-search'}
                                                    <div class="input-group-append">
                                                        {include file="widgets/base/button.tpl" type="submit" name="cSuche" emptyValue=true variant="primary" iconPosition="left" icon="{et_getIcon key="undo"}" label="{lang key='wishlistRemoveSearch' section='login'}"}
                                                    </div>
                                                {/block}
                                            {/if}
                                        </div>
                                    {/block}
                                </form>
                            </div>
                        {/if}
                    </div>
                </div>
            {/block}

            {block name='snippets-wishlist-form-basket'}
                {include file='snippets/pagination.tpl'
                    cThisUrl="wunschliste.php"
                    oPagination=$pagination
                    cParam_arr=['wl' => {$wishlistID}, 'wlid' => $cURLID]}
                <form method="post"
                    action="{$wishlistURL}{if !$wishlistIsDefault}?wl={$wishlistID}{/if}"
                    name="Wunschliste"
                    class="basket_wrapper{if $hasItems === true} has-items{/if}"
                    id="wl-items-form"
                >
                {csrf_token}
                {block name='snippets-wishlist-form-basket-content'}
                    {block name='snippets-wishlist-form-basket-inputs-hidden'}
                        <input type="hidden" name="wla" value="1" />
                        <input type="hidden" name="kWunschliste" value="{$wishlistID}" />
                        {if $wishlistIsPublic && !empty($cURLID)}
                            <input type="hidden" name="wlid" value="{$cURLID}" />
                        {/if}
                        {if !empty($wlsearch)}
                            <input type="hidden" name="wlsearch" value="1" />
                            <input type="hidden" name="cSuche" value="{$wlsearch}" />
                        {/if}
                    {/block}
                    {if !empty($wishlistItems)}
                        {block name='snippets-wishlist-form-basket-submit-top'}
                            {if $isCurrenctCustomer === true}
                                <div class="wishlist-all-to-cart">
                                    <div class="row">
                                        <div class="col col-12 col-md-auto">
                                            {include file="widgets/base/button.tpl" type="submit" title="{lang key='addCurrentProductsToCart' section='wishlist'}" name="action" value="addAllToCart" variant="cart" classes="btn-block" label="{if !empty($wlsearch)}{lang key='addCurrentProductsToCart' section='wishlist'}{else}{lang key='wishlistAddAllToCart' section='login'}{/if}"}
                                        </div>
                                    </div>
                                </div>
                            {/if}
                        {/block}
                        {block name='snippets-wishlist-form-basket-products'}
                            <div class='row product-list'>
                            {foreach $wishlistItems as $wlPosition}
                                {if $shopIsAtLeast52}
                                    {$wlPosID = $wlPosition->getID()}
                                    {$wlPosProduct = $wlPosition->getProduct()}
                                    {$wlPosProductProductName = $wlPosition->getProduct()->cName}
                                    {$wlPosProductProductURL = $wlPosition->getProduct()->getURL()}
                                    {$wlPosProductName = $wlPosition->getProductName()}
                                    {$wlPosQuantity = $wlPosition->getQty()}
                                    {$wlPosComment = $wlPosition->getComment()}
                                {else}
                                    {$wlPosID = $wlPosition->kWunschlistePos}
                                    {$wlPosProduct = $wlPosition->Artikel}
                                    {$wlPosProductProductName = $wlPosition->Artikel->cName}
                                    {$wlPosProductProductURL = $wlPosition->Artikel->cURLFull}
                                    {$wlPosProductName = $wlPosition->cArtikelName}
                                    {$wlPosQuantity = $wlPosition->fAnzahl}
                                    {$wlPosComment = $wlPosition->cKommentar}
                                {/if}
                                <div class="col col-12 col-sm-6 col-md-4 col-xl-3 wishlist-item">
                                    <div id="result-wrapper_buy_form_{$wlPosID}" data-wrapper="true" class="productbox productbox-column productbox-hover">
                                        <div class="productbox-inner pos-abs">
                                            <div class="row">
                                                <div class="col col-12">
                                                <div class="productbox-image">
                                                    {if $isCurrenctCustomer === true}
                                                        {block name='snippets-wishlist-form-basket-remove'}
                                                        <div class="productbox-quick-actions productbox-onhover">
                                                            <button
                                                                type="submit"
                                                                name="remove" value="{$wlPosID}"
                                                                aria-label="{lang key='wishlistremoveItem' section='login'}"
                                                                title="{lang key='wishlistremoveItem' section='login'}"
                                                                class="btn btn-link wishlist-pos-delete"
                                                                data-toggle="tooltip"
                                                            >
                                                                <i class="{et_getIcon key="remove"}"></i>
                                                            </button>
                                                        </div>
                                                        {/block}
                                                    {/if}
                                                    {block name='snippets-wishlist-form-basket-image'}
                                                        <div class="list-gallery productbox-images">
                                                            {assign var=image value=$wlPosProduct->Bilder[0]}
                                                            {strip}
                                                                <div>
                                                                    <a href="{$wlPosProductProductURL}">
                                                                        {include file='snippets/image.tpl'
                                                                            fluid=true
                                                                            webp=true
                                                                            lazy=$lazyLoadImages
                                                                            item=$wlPosProduct
                                                                            squareClass='first-wrapper'
                                                                            srcSize='sm'
                                                                            class="{if !$isMobile && !empty($wlPosProduct->Bilder[1])} first{/if}"}
                                                                    {if !$isMobile && !empty($wlPosProduct->Bilder[1])}
                                                                        <div class="{if empty($etGlobalSettings.freeAspectRatioImagesEnabled)}square square-image {/if}second-wrapper">
                                                                            <div class="inner">
                                                                            {$image = $wlPosProduct->Bilder[1]}
                                                                            {image alt=$wlPosProductProductURL
                                                                                fluid=true
                                                                                webp=true
                                                                                lazy=$lazyLoadImages
                                                                                src="{$image->cURLKlein}"
                                                                                srcset="{$image->cURLMini} {$Einstellungen.bilder.bilder_artikel_mini_breite}w,
                                                                                     {$image->cURLKlein} {$Einstellungen.bilder.bilder_artikel_klein_breite}w,
                                                                                     {$image->cURLNormal} {$Einstellungen.bilder.bilder_artikel_normal_breite}w"
                                                                                sizes="auto"
                                                                                class='second'
                                                                            }
                                                                            </div>
                                                                        </div>
                                                                    {/if}
                                                                    </a>
                                                                </div>
                                                            {/strip}
                                                        </div>
                                                    {/block}
                                                </div>
                                                </div>
                                                <div class="col col-12">
                                                    {block name='snippets-wishlist-form-basket-name'}
                                                        <a href="{$wlPosProductProductURL}" class="productbox-title {block name='snippets-wishlist-form-basket-name-text-clamp-class'}text-clamp-2{/block}">
                                                            {$wlPosProductName}
                                                        </a>
                                                    {/block}
                                                    {block name='snippets-wishlist-form-basket-price'}
                                                        {if $wlPosProduct->getOption('nShowOnlyOnSEORequest', 0) === 1}
                                                            <p class="caption">{lang key='productOutOfStock' section='productDetails'}</p>
                                                        {elseif $wlPosProduct->Preise->fVKNetto == 0 && $Einstellungen.global.global_preis0 === 'N'}
                                                            <p class="caption">{lang key='priceOnApplication' section='global'}</p>
                                                        {else}
                                                            {block name='snippets-wishlist-form-basket-include-price'}
                                                                {include file='productdetails/price.tpl' Artikel=$wlPosProduct tplscope='detail'}
                                                            {/block}
                                                        {/if}
                                                    {/block}
                                                    {block name='snippets-wishlist-form-basket-characteristics'}
                                                        <div class="product-characteristics productbox-onhover">
                                                            {block name='snippets-wishlist-form-basket-characteristics-include-item-details'}
                                                                {include file='productlist/item_details.tpl'
                                                                    Artikel=$wlPosProduct
                                                                    tplscope='wishlist'
                                                                    small=true}
                                                            {/block}
                                                            {block name='snippets-wishlist-form-basket-characteristics-selected'}
                                                                <dl class="form-row formrow-small">
                                                                    {if $shopIsAtLeast52}
                                                                        {foreach $wlPosition->getProperties() as $CWunschlistePosEigenschaft}
                                                                            {if $CWunschlistePosEigenschaft->getFreeTextValue()}
                                                                                <dt class="col col-6">{$CWunschlistePosEigenschaft->getPropertyName()}:</dt>
                                                                                <dd class="col col-6">{$CWunschlistePosEigenschaft->getFreeTextValue()}</dd>
                                                                            {else}
                                                                                <dt class="col col-6">{$CWunschlistePosEigenschaft->getPropertyName()}:</dt>
                                                                                <dd class="col col-6">{$CWunschlistePosEigenschaft->getPropertyValueName()}</dd>
                                                                            {/if}
                                                                        {/foreach}
                                                                    {else}
                                                                        {foreach $wlPosition->CWunschlistePosEigenschaft_arr as $CWunschlistePosEigenschaft}
                                                                            {if $CWunschlistePosEigenschaft->cFreifeldWert}
                                                                                <dt class="col col-6">{$CWunschlistePosEigenschaft->cEigenschaftName}:</dt>
                                                                                <dd class="col col-6">{$CWunschlistePosEigenschaft->cFreifeldWert}</dd>
                                                                            {else}
                                                                                <dt class="col col-6">{$CWunschlistePosEigenschaft->cEigenschaftName}:</dt>
                                                                                <dd class="col col-6">{$CWunschlistePosEigenschaft->cEigenschaftWertName}</dd>
                                                                            {/if}
                                                                        {/foreach}
                                                                    {/if}
                                                                </dl>
                                                            {/block}
                                                        </div>
                                                    {/block}
                                                    {block name='snippets-wishlist-form-basket-main'}
                                                        <div class="productbox-onhover productbox-options">
                                                            {block name='snippets-wishlist-form-basket-textarea'}
                                                                <textarea
                                                                    placeholder="{lang key='yourNote'}"
                                                                    {if $isCurrenctCustomer !== true}readonly{/if}
                                                                    rows="5"
                                                                    name="Kommentar_{$wlPosID}"
                                                                    class="form-control js-update-wl auto-expand"
                                                                    aria-label="{lang key='wishlistComment' section='login'} {$wlPosProductName}"
                                                                >{$wlPosComment}</textarea>
                                                            {/block}
                                                            {block name='snippets-wishlist-form-basket-delivery-status'}
                                                                {block name='snippets-wishlist-item-list-include-delivery-status'}
                                                                    {include file='productlist/item_delivery_status.tpl'
                                                                    Artikel=$wlPosProduct
                                                                    tplscope='wishlist'}
                                                                {/block}
                                                            {/block}
                                                            {if !($wlPosProduct->Preise->fVKNetto == 0 && $Einstellungen.global.global_preis0 === 'N')}
                                                                {block name='snippets-wishlist-form-basket-input-group-details'}
                                                                    <div class="form-row productbox-actions">
                                                                        <div class="col col-12">
                                                                            {block name='snippets-wishlist-form-basket-quantity'}
                                                                                <div class="input-group form-counter">
                                                                                    <input {if ($isCurrenctCustomer !== true)}readonly{/if}
                                                                                        type="number"
                                                                                        min="{if $wlPosProduct->fMindestbestellmenge}{$wlPosProduct->fMindestbestellmenge}{else}0{/if}"
                                                                                        max="{$wlPosProduct->FunktionsAttribute[$smarty.const.FKT_ATTRIBUT_MAXBESTELLMENGE]|default:''}"
                                                                                        {if $wlPosProduct->fAbnahmeintervall > 0}required{/if}
                                                                                        step="{if $wlPosProduct->fAbnahmeintervall > 0}{$wlPosProduct->fAbnahmeintervall}{else}1{/if}"
                                                                                        class="form-control quantity wunschliste_anzahl"
                                                                                        name="Anzahl_{$wlPosID}"
                                                                                        aria-label="{lang key='quantity'}"
                                                                                        value="{$wlPosQuantity}"
                                                                                        data-decimals="{getDecimalLength quantity=$wlPosProduct->fAbnahmeintervall}"
                                                                                    />
                                                                                    {if $wlPosProduct->cEinheit}
                                                                                        <div class="input-group-append">
                                                                                            {block name='snippets-wishlist-form-basket-unit'}
                                                                                                {inputgrouptext class="unit form-control"}
                                                                                                    {$wlPosProduct->cEinheit}
                                                                                                {/inputgrouptext}
                                                                                            {/block}
                                                                                        </div>
                                                                                    {/if}
                                                                                </div>
                                                                            {/block}
                                                                        </div>
                                                                        <div class="col col-12 wishlist-item-buttons">
                                                                            {if $wlPosProduct->bHasKonfig}
                                                                                {block name='snippets-wishlist-form-basket-has-config'}
                                                                                    {include file="widgets/base/button.tpl" href="{$wlPosProductURL}" classes="btn-block" title="{lang key='configure' section='global'}" iconPosition="left" icon="{et_getIcon key="configure"}" label="{lang key='configure'}"}
                                                                                {/block}
                                                                            {else}
                                                                                {block name='snippets-wishlist-form-basket-add-to-cart'}
                                                                                    {include file="widgets/base/button.tpl" type="submit" name="addToCart" value="{$wlPosID}" variant="cart" classes="btn-block" title="{lang key='wishlistaddToCart' section='login'}" label="{lang key='addToCart'}"}
                                                                                {/block}
                                                                            {/if}
                                                                        </div>
                                                                    </div>
                                                                {/block}
                                                            {/if}
                                                        </div>
                                                    {/block}
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            {/foreach}
                            </div>
                        {/block}
                        {block name='snippets-wishlist-form-basket-submit'}
                            {if $isCurrenctCustomer === true}
                                <div class="wishlist-all-to-cart">
                                    <div class="row">
                                        <div class="col col-12 col-md-auto">
                                            {include file="widgets/base/button.tpl" type="submit" title="{lang key='addCurrentProductsToCart' section='wishlist'}" name="action" value="addAllToCart" variant="cart" classes="btn-block" label="{if !empty($wlsearch)}{lang key='addCurrentProductsToCart' section='wishlist'}{else}{lang key='wishlistAddAllToCart' section='login'}{/if}"}
                                        </div>
                                    </div>
                                </div>
                            {/if}
                        {/block}
                    {else}
                        {block name='snippets-wishlist-alert'}
                            <div role="alert" class="alert alert-info">{lang key='noEntriesAvailable' section='global'}</div>
                        {/block}
                    {/if}
                {/block}
                </form>
            {/block}
        {/if}
        </div>
    {/block}

    {block name='snippets-wishlist-include-footer'}
        {include file='layout/footer.tpl'}
    {/block}
{/block}
