{strip}
    {* Video Options URL String *}
    {$options = '?'}

    {if isset($video.offset) && $video.offset}
        {$options = $options|cat:"&start={$video.offset}"}
    {/if}

    {if isset($video.autostart) && $video.autostart}
        {$options = $options|cat:'&autoplay=1'}
    {/if}

    {if isset($video.loop) && $video.loop}
        {$options = $options|cat:'&loop=1'}
    {/if}

    {if isset($video.muted) && $video.muted}
        {$options = $options|cat:'&mute=1'}
    {/if}

    {if !isset($video.showControls) || !$video.showControls}
        {$options = $options|cat:'&controls=0'}
    {/if}

    {* Youtube Specific Options *}
    {if !isset($video.showProposedVideos) || !$video.showProposedVideos}
        {$options = $options|cat:'&rel=0'}
    {/if}

    {* Vimeo Specific Options *}
    {if isset($video.colorInterface) && $video.colorInterface}
        {$options = $options|cat:"&color={$video.colorInterface}"|replace:'#':''}
    {/if}

    {if !isset($video.showPortrait) || !$video.showPortrait}
        {$options = $options|cat:'&portrait=0'}
    {/if}

    {if !isset($video.showBy) || !$video.showBy}
        {$options = $options|cat:'&byline=0'}
    {/if}

    {if !isset($video.showTitle) || !$video.showTitle}
        {$options = $options|cat:'&title=0'}
    {/if}

    {block name="et-video-max-width-styles"}
        {if isset($maxWidth)}
            <style type="text/css">
                {if isset($maxWidth.xs) && $maxWidth.xs !== ''}
                    @media (max-width: {$et_global.breakpoints.xsMax}px) {
                        #et-video-{$video.id} {
                            max-width: {$maxWidth.xs}px;
                        }
                    }
                {/if}
                {if isset($maxWidth.sm) && $maxWidth.sm !== ''}
                    @media (min-width: {$et_global.breakpoints.smMin}px) and (max-width: {$et_global.breakpoints.smMax}px)  {
                        #et-video-{$video.id} {
                            max-width: {$maxWidth.sm}px;
                        }
                    }
                {/if}
                {if isset($maxWidth.md) && $maxWidth.md !== ''}
                    @media (min-width: {$et_global.breakpoints.mdMin}px) and (max-width: {$et_global.breakpoints.mdMax}px)  {
                        #et-video-{$video.id} {
                            max-width: {$maxWidth.md}px;
                        }
                    }
                {/if}
                {if isset($maxWidth.lg) && $maxWidth.lg !== ''}
                    @media (min-width: {$et_global.breakpoints.lgMin}px) and (max-width: {$et_global.breakpoints.lgMax}px)  {
                        #et-video-{$video.id} {
                            max-width: {$maxWidth.lg}px;
                        }
                    }
                {/if}
                {if isset($maxWidth.xl) && $maxWidth.xl !== ''}
                    @media (min-width: {$et_global.breakpoints.xlMin}px) {
                        #et-video-{$video.id} {
                            max-width: {$maxWidth.xl}px;
                        }
                    }
                {/if}
            </style>
        {/if}
    {/block}

    {block name="et-video-inline-styles"}
        {* Use this block to override styles with an inline style tag *}
    {/block}

    {block name="et-video-container"}
        <div class="et-video-container" id="et-video-{$video.id}">
            {* Resolve Aspect Ration *}
            {if isset($video.aspectRatio) && $video.aspectRatio == '21:9'}
                {$aspectRatio = 'embed-responsive-21by9'}
            {elseif isset($video.aspectRatio) && $video.aspectRatio == '16:9'}
                {$aspectRatio = 'embed-responsive-16by9'}
            {elseif isset($video.aspectRatio) && $video.aspectRatio == '4:3'}
                {$aspectRatio = 'embed-responsive-4by3'}
            {elseif isset($video.aspectRatio) && $video.aspectRatio == '1:1'}
                {$aspectRatio = 'embed-responsive-1by1'}
            {elseif isset($video.aspectRatio) && $video.aspectRatio !== ''}
                {$ratio = explode(':', $video.aspectRatio)}
                {$aspectRatioPadding = 100 * (float) $ratio[1] / (float) $ratio[0]}
            {else}
                {$aspectRatio = 'embed-responsive-16by9'}
            {/if}

            {block name="et-video-resizer"}
                <div class="et-video-resizer embed-responsive{if isset($video.provider) && $video.provider === 'youtube' || isset($video.provider) && $video.provider === 'vimeo'} needs-consent{/if}{if isset($video.provider) && $video.provider === 'youtube'} youtube{/if}{if isset($video.provider) && $video.provider === 'vimeo'} vimeo{/if} {if isset($aspectRatio)}{$aspectRatio|escape:'html'}{/if}" {if isset($aspectRatioPadding) && !empty($aspectRatioPadding)}style="padding-top: {$aspectRatioPadding}%"{/if}>
                    {block name="et-video-embed"}
                        <iframe class="embed-responsive-item{if isset($video.provider) && $video.provider === 'youtube' || isset($video.provider) &&  $video.provider === 'vimeo'} needs-consent{/if}{if isset($video.provider) && $video.provider === 'youtube'} youtube{/if}{if isset($video.provider) && $video.provider === 'vimeo'} vimeo{/if}"
                            {if isset($video.provider) && $video.provider == 'youtube'}
                                data-src="//www.youtube-nocookie.com/embed/{$video.videoId}{$options}"
                            {elseif isset($video.provider) && $video.provider == 'vimeo'}
                                data-src="https://player.vimeo.com/video/{$video.videoId}{$options}"
                            {elseif isset($video.provider) && $video.provider == 'manual'}
                                src="{$video.manualUrl}{$options}"
                            {/if}
                            frameborder="0" allowfullscreen allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; fullscreen"
                        ></iframe>
                        {if isset($video.provider) && $video.provider == 'youtube'}
                            <a href="#" class="trigger give-consent give-consent-preview"
                               data-consent="youtube"
                               style="background-image:url({$ShopURL}/includes/src/OPC/Portlets/Video/preview.svg)">
                                {lang key='allowConsentYouTube'}
                            </a>
                        {elseif isset($video.provider) && $video.provider == 'vimeo'}
                            <a href="#" class="trigger give-consent give-consent-preview"
                               data-consent="vimeo"
                               style="background-image: url({$ShopURL}/includes/src/OPC/Portlets/Video/preview.svg)">
                                {lang key='allowConsentVimeo'}
                            </a>
                        {/if}
                        {if isset($video.provider) && $video.provider == 'vimeo' && (!isset($vimeoScriptIncludedFlag) || !$vimeoScriptIncludedFlag)}
                            <script data-src="https://player.vimeo.com/api/player.js" data-consent="vimeo" async="async"></script>
                            {assign scope="global" var='vimeoScriptIncludedFlag' value=true}
                        {/if}
                    {/block}
                </div>
            {/block}
        </div>
    {/block}
{/strip}